package org.wfc.omada.api.organization.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.Size;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * BatchBindDeviceOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:17:18.430+08:00[Asia/Shanghai]")

public class BatchBindDeviceOpenApiVo   {
  @JsonProperty("devices")
  @Valid
  private List<DeviceBindBriefOpenApiVo> devices = null;

  public BatchBindDeviceOpenApiVo devices(List<DeviceBindBriefOpenApiVo> devices) {
    this.devices = devices;
    return this;
  }

  public BatchBindDeviceOpenApiVo addDevicesItem(DeviceBindBriefOpenApiVo devicesItem) {
    if (this.devices == null) {
      this.devices = new ArrayList<>();
    }
    this.devices.add(devicesItem);
    return this;
  }

  /**
   * Get devices
   * @return devices
  */
  @ApiModelProperty(value = "")

  @Valid
@Size(min=1,max=1000) 
  public List<DeviceBindBriefOpenApiVo> getDevices() {
    return devices;
  }

  public void setDevices(List<DeviceBindBriefOpenApiVo> devices) {
    this.devices = devices;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BatchBindDeviceOpenApiVo batchBindDeviceOpenApiVo = (BatchBindDeviceOpenApiVo) o;
    return Objects.equals(this.devices, batchBindDeviceOpenApiVo.devices);
  }

  @Override
  public int hashCode() {
    return Objects.hash(devices);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BatchBindDeviceOpenApiVo {\n");
    
    sb.append("    devices: ").append(toIndentedString(devices)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

